//========================================================================================
//
//	File:				FWGrDef.h
//	Release Version:	$ 1.0d1 $
//
//	Creation Date:		3/28/94
//
//	Copyright:	 1993, 1994 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWGRDEF_H
#define FWGRDEF_H

// ----- OpenDoc Includes -----

#if !defined(_QDFIX_) && defined(FW_BUILD_MAC)
#include <QDFix.h>
#endif

// ----- Platform Includes -----

#if !defined(__TYPES__) && defined(FW_BUILD_MAC)
#include <Types.h>
#endif

#if !defined(__QUICKDRAW__) && defined(FW_BUILD_MAC)
#include <Quickdraw.h>
#endif

#ifdef FW_BUILD_MAC
typedef	Point 		FW_SPlatformPoint;
typedef	Rect		FW_SPlatformRect;
typedef	RgnHandle	FW_PlatformRegion;
typedef	PicHandle	FW_PlatformPict;
#endif

#ifdef FW_BUILD_WIN
typedef		POINT 		FW_SPlatformPoint;
typedef		RECT		FW_SPlatformRect;
typedef		HRGN		FW_PlatformRegion;
typedef		HMETAFILE	FW_PlatformPict;
#endif

#endif
